package com.youpe.test;

import com.youpe.test.client.TestScreenHandler;
import com.youpe.test.event.DirtBrokenAfter;
import com.youpe.test.event.JoinServerHandler;
import com.youpe.test.item.ModItems;
import com.youpe.test.networking.ModNetworkingManager;
import net.fabricmc.api.ModInitializer;
import net.fabricmc.fabric.api.event.player.PlayerBlockBreakEvents;
import net.fabricmc.fabric.api.networking.v1.ServerPlayConnectionEvents;
import net.fabricmc.fabric.api.screenhandler.v1.ScreenHandlerRegistry;
import net.minecraft.registry.Registries;
import net.minecraft.registry.Registry;
import net.minecraft.screen.ScreenHandlerType;
import net.minecraft.util.Identifier;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class Testing implements ModInitializer {

	public static final String MOD_ID = "testing";
	public static final ScreenHandlerType<TestScreenHandler> BOX_SCREEN_HANDLER;
    public static final Logger LOGGER = LoggerFactory.getLogger(MOD_ID);

	static {
		Registry.register(Registries.SCREEN_HANDLER, new Identifier(Testing.MOD_ID, name), item);
		BOX_SCREEN_HANDLER = ScreenHandlerRegistry.registerSimple(BOX, BoxScreenHandler::new)
	}


	@Override
	public void onInitialize() {
		LOGGER.info("Hello Fabric world!");
		ModNetworkingManager.registerC2SPackets();

		ModItems.registerModItems();

		PlayerBlockBreakEvents.AFTER.register(new DirtBrokenAfter());
		ServerPlayConnectionEvents.JOIN.register(new JoinServerHandler());
	}
}